snowuser = 'your_username'
snowpass = 'your_password'
snowacct = 'your_account'
import snowflake.connector as sc

print('connecting..')
try:
    cnn = sc.connect(
        user = snowuser,
        password = snowpass,
        account = snowacct,
        warehouse = 'project_warehouse',
        database = 'project_database',
        schema = 'project_schema',
        role = 'ACCOUNTADMIN'
        )
    cs = cnn.cursor()
    print('create task or view task data..')
    sql = ("Create or Replace Task PROJECT_CHECK"
           "\n    WAREHOUSE=PROJECT_WAREHOUSE"
           "\n    SCHEDULE = 'USING CRON * * * * * America/New_York'"
           "\nAs"
           "\n    Insert Into PROJECT_EVENTS (EVENT_TYPE, EVENT_TEXT)"
           "\n    VALUES ('PROJECT CHECK', 'There was an automated check of project status.')"
           )
    #cs.execute(sql)
    cnn.commit()
    print('set autocommit to true..')
    sql = "Alter Task PROJECT_CHECK Set AUTOCOMMIT=TRUE;"
    #cs.execute(sql)
    cnn.commit()
    print('start/resume task..')
    sql = "Alter Task PROJECT_CHECK RESUME;" # or use SUSPEND
    cs.execute(sql)
    #cnn.commit()
    print('selecting..')
    sql = "Select * From PROJECT_EVENTS;"
    recs = cs.execute(sql)
    for rec in recs:
        print(rec)
except Exception as e:
    print(e)
finally:
    print('disconnecting..')
    cnn.close()
    print('closed..')
print('done.')







































